Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_Delivery extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_Delivery extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_subtitle = 'お届け先追加･変更';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -68,6 +65,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer    = new SC_Customer_Ex();
@@ -89,5 +85,5 @@
                 }
 
-                $objAddress->deleteAddress($objFormParam->getValue('other_deliv_id'));
+                $objAddress->delete($objFormParam->getValue('other_deliv_id'));
                 break;
 
@@ -129,6 +125,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -139,6 +134,5 @@
      * @return SC_FormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('お届け先ID', 'other_deliv_id', INT_LEN, '', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('現在ページ', 'pageno', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'), '', false);
@@ -152,6 +146,5 @@
      * return array
      */
-    function setPref($arrOtherDeliv, $arrPref)
-    {
+    function setPref($arrOtherDeliv, $arrPref) {
         if (is_array($arrOtherDeliv)) {
             foreach ($arrOtherDeliv as $key => $arrDeliv) {
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_AbstractMypage extends LC_Page_Ex 
-{
+class LC_Page_AbstractMypage extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         // mypage 共通
@@ -57,6 +55,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
 
         parent::process();
@@ -106,6 +103,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 22591)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_Change extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_Change extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_subtitle = '会員登録内容変更(入力ページ)';
@@ -69,6 +67,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -78,6 +75,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer = new SC_Customer_Ex();
@@ -170,6 +166,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -183,6 +178,5 @@
      * @return void
      */
-    function lfRegistCustomerData(&$objFormParam, $customer_id)
-    {
+    function lfRegistCustomerData(&$objFormParam, $customer_id) {
         $arrRet             = $objFormParam->getHashArray();
         $sqlval             = $objFormParam->getDbArray();
@@ -198,6 +192,5 @@
      * @return array $arrErr エラーメッセージ配列
      */
-    function lfCheckError($arrRequest)
-    {
+    function lfCheckError($arrRequest) {
         // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
@@ -211,6 +204,28 @@
         // エラーチェック
         $arrErr = $objFormParam->checkError();
+        // 親ウィンドウの戻り値を格納するinputタグのnameのエラーチェック
+        if (!$this->lfInputNameCheck($addData['zip01'])) {
+            $arrErr['zip01'] = '※ 入力形式が不正です。<br />';
+        }
+        if (!$this->lfInputNameCheck($arrdata['zip02'])) {
+            $arrErr['zip02'] = '※ 入力形式が不正です。<br />';
+        }
 
         return $arrErr;
     }
+
+    /**
+     * エラーチェック.
+     *
+     * @param string $value
+     * @return エラーなし：true エラー：false
+     */
+    function lfInputNameCheck($value) {
+        // 半角英数字と_（アンダーバー）, []以外の文字を使用していたらエラー
+        if (strlen($value) > 0 && !preg_match("/^[a-zA-Z0-9_\[\]]+$/", $value)) {
+            return false;
+        }
+
+        return true;
+    }
 }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 22796)
@@ -31,6 +31,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_DownLoad extends LC_Page_Ex 
-{
+class LC_Page_Mypage_DownLoad extends LC_Page_Ex {
 
     // {{{ properties
@@ -57,6 +56,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->allowClientCache();
@@ -68,6 +66,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         ob_end_clean();
         parent::process();
@@ -81,6 +78,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // ログインチェック
@@ -109,6 +105,5 @@
      * @return void
      */
-    function sendResponse()
-    {
+    function sendResponse() {
         // TODO sendResponseをオーバーライドしている為、afterフックポイントが実行されない.直接実行する.(#1790)
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
@@ -170,6 +165,5 @@
      * @return array 商品情報の配列
      */
-    function lfGetRealFileName($customer_id, $order_id, $product_id, $product_class_id)
-    {
+    function lfGetRealFileName($customer_id, $order_id, $product_id, $product_class_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = <<< __EOS__
@@ -200,6 +194,5 @@
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('customer_id', 'customer_id', INT_LEN, 'n', array('EXIST_CHECK','NUM_CHECK'));
         $objFormParam->addParam('order_id', 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK'));
@@ -209,6 +202,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
         $objErr->arrErr = $objFormParam->checkError();
@@ -222,6 +214,5 @@
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfMobileHeader($realpath,$sdown_filename)
-    {
+    function lfMobileHeader($realpath,$sdown_filename) {
         $objHelperMobile = new SC_Helper_Mobile_Ex();
         //ファイルの拡張子からコンテンツタイプを取得する
@@ -240,6 +231,5 @@
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfMobileAuDownload($realpath,$sdown_filename)
-    {
+    function lfMobileAuDownload($realpath,$sdown_filename) {
         //モバイル用ヘッダー出力
         $this->lfMobileHeader($realpath,$sdown_filename);
@@ -263,5 +253,6 @@
         }
         echo fread($fp, $content_length) ;
-        SC_Utils_Ex::sfFlush();
+        ob_flush();
+        flush();
     }
 
@@ -272,6 +263,5 @@
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfMobileDownload($realpath,$sdown_filename)
-    {
+    function lfMobileDownload($realpath,$sdown_filename) {
         //モバイル用ヘッダー出力
         $this->lfMobileHeader($realpath,$sdown_filename);
@@ -316,6 +306,6 @@
                 $buffer = fread($realpath, $chunksize);
                 print($buffer);
-                SC_Utils_Ex::sfFlush();
-                SC_Utils_Ex::extendTimeOut();
+                ob_flush();
+                flush();
                 $bytes_send += strlen($buffer);
             }
@@ -331,6 +321,5 @@
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfDownload($realpath,$sdown_filename)
-    {
+    function lfDownload($realpath,$sdown_filename) {
         // 拡張子を取得
         $extension = pathinfo($realpath, PATHINFO_EXTENSION);
@@ -373,6 +362,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_Login extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_Login extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->httpCacheControl('nocache');
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_RefusalComplete extends LC_Page_Ex 
-{
+class LC_Page_Mypage_RefusalComplete extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title    = 'MYページ';
@@ -63,6 +61,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -75,6 +72,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -86,6 +82,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_Order extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_Order extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -63,6 +60,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         //受注詳細データの取得
@@ -85,12 +81,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     // 受注詳細データの取得
-    function lfGetOrderDetail($order_id)
-    {
+    function lfGetOrderDetail($order_id) {
         $objQuery       = SC_Query_Ex::getSingletonInstance();
 
@@ -110,6 +104,5 @@
 
     // 商品をカートに追加
-    function lfAddCartProducts($arrOrderDetail)
-    {
+    function lfAddCartProducts($arrOrderDetail) {
 
         $objCartSess = new SC_CartSession_Ex();
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_MailView extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_MailView extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->httpCacheControl('nocache');
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer = new SC_Customer_Ex();
@@ -105,6 +101,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -118,6 +113,5 @@
      * @return array
      */
-    function lfGetMailView($send_id, $customer_id)
-    {
+    function lfGetMailView($send_id, $customer_id) {
         $objQuery   = SC_Query_Ex::getSingletonInstance();
         $col        = 'subject, mail_body';
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_ChangeComplete extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_ChangeComplete extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_subtitle = '会員登録内容変更(完了ページ)';
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_DeliveryAddr extends LC_Page_Ex 
-{
+class LC_Page_Mypage_DeliveryAddr extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title    = 'お届け先の追加･変更';
@@ -60,6 +58,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer = new SC_Customer_Ex();
@@ -140,5 +136,5 @@
 
                 if ($_GET['other_deliv_id'] != '') {
-                    $arrOtherDeliv = $objAddress->getAddress($_SESSION['other_deliv_id']);
+                    $arrOtherDeliv = $objAddress->get($_SESSION['other_deliv_id']);
 
                     //不正アクセス判定
@@ -166,12 +162,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* 登録実行 */
-    function lfRegistData($objAddress, $objFormParam, $customer_id)
-    {
+    function lfRegistData($objAddress, $objFormParam, $customer_id) {
         $arrRet     = $objFormParam->getHashArray();
         $sqlval     = $objFormParam->getDbArray();
@@ -180,9 +174,8 @@
         $sqlval['customer_id'] = $customer_id;
 
-        $objAddress->registAddress($sqlval);
+        $objAddress->save($sqlval);
     }
 
-    function lfRegistDataNonMember($objFormParam)
-    {
+    function lfRegistDataNonMember($objFormParam) {
         $arrRegistColumn = $objFormParam->getDbArray();
         foreach ($arrRegistColumn as $key => $val) {
Index: /branches/version-2_12-dev/data/class/pages/LC_Page_InputZip.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page_InputZip.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page_InputZip.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_InputZip extends LC_Page_Ex 
-{
+class LC_Page_InputZip extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_message = '住所を検索しています。';
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $objView = new SC_SiteView_Ex(false);
 
@@ -93,6 +90,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -104,6 +100,5 @@
      * @return array $arrErr エラーメッセージ配列
      */
-    function fnErrorCheck($arrRequest)
-    {
+    function fnErrorCheck($arrRequest) {
         // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
@@ -132,6 +127,5 @@
      * @return エラーなし：true エラー：false
      */
-    function lfInputNameCheck($value)
-    {
+    function lfInputNameCheck($value) {
         // 半角英数字と_（アンダーバー）, []以外の文字を使用していたらエラー
         if (strlen($value) > 0 && !preg_match("/^[a-zA-Z0-9_\[\]]+$/", $value)) {
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Shopping_Complete.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Shopping_Complete extends LC_Page_Ex 
-{
+class LC_Page_Shopping_Complete extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'ご注文完了';
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
@@ -80,6 +76,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -88,6 +83,5 @@
      * 決済モジュールから遷移する場合があるため, トークンチェックしない.
      */
-    function doValidToken()
-    {
+    function doValidToken() {
         // nothing.
     }
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Shopping_Multiple extends LC_Page_Ex 
-{
+class LC_Page_Shopping_Multiple extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'お届け先の複数指定';
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -67,6 +64,6 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
+
         $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
@@ -118,4 +115,6 @@
         }
         $this->arrForm = $objFormParam->getFormParamList();
+
+
     }
 
@@ -125,6 +124,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -136,6 +134,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('商品規格ID', 'product_class_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('商品名', 'name');
@@ -146,5 +143,5 @@
         $objFormParam->addParam('メイン画像', 'main_image');
         $objFormParam->addParam('メイン一覧画像', 'main_list_image');
-        $objFormParam->addParam(SALE_PRICE_TITLE, 'price');
+        $objFormParam->addParam('販売価格', 'price');
         $objFormParam->addParam('数量', 'quantity', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'), 1);
         $objFormParam->addParam('お届け先', 'shipping', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -160,6 +157,5 @@
      * @return void
      */
-    function setParamToSplitItems(&$objFormParam, &$objCartSess)
-    {
+    function setParamToSplitItems(&$objFormParam, &$objCartSess) {
         $cartLists =& $objCartSess->getCartList($objCartSess->getKey());
         $arrItems = array();
@@ -192,6 +188,5 @@
      * @return array 配送住所のプルダウン用連想配列
      */
-    function getDelivAddrs(&$objCustomer, &$objPurchase, &$objAddress, $uniqid)
-    {
+    function getDelivAddrs(&$objCustomer, &$objPurchase, &$objAddress, $uniqid) {
         $masterData = new SC_DB_MasterData_Ex();
         $arrPref = $masterData->getMasterData('mtb_pref');
@@ -234,5 +229,4 @@
             }
         }
-
         return $arrResults;
     }
@@ -244,6 +238,5 @@
      * @return array エラー情報の配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objCartSess = new SC_CartSession_Ex();
 
@@ -291,5 +284,4 @@
             }
         }
-
         return $arrErr;
     }
@@ -307,6 +299,5 @@
      * @return void
      */
-    function saveMultipleShippings($uniqid, &$objFormParam, &$objCustomer, &$objPurchase, &$objCartSess, &$objAddress)
-    {
+    function saveMultipleShippings($uniqid, &$objFormParam, &$objCustomer, &$objPurchase, &$objCartSess, &$objAddress) {
         $arrParams = $objFormParam->getSwapArray();
 
@@ -316,5 +307,5 @@
             if ($objCustomer->isLoginSuccess(true)) {
                 if ($other_deliv_id != 0) {
-                    $otherDeliv = $objAddress->getAddress($other_deliv_id);
+                    $otherDeliv = $objAddress->get($other_deliv_id);
                     foreach ($otherDeliv as $key => $val) {
                         $arrValues[$other_deliv_id]['shipping_' . $key] = $val;
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Shopping_Confirm extends LC_Page_Ex 
-{
+class LC_Page_Shopping_Confirm extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'ご入力内容のご確認';
@@ -52,5 +50,5 @@
         $this->arrMAILMAGATYPE = $masterData->getMasterData('mtb_mail_magazine_type');
         $this->arrReminder = $masterData->getMasterData('mtb_reminder');
-        $this->arrDeliv = SC_Helper_Delivery_Ex::getIDValueList('service_name');
+        $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'service_name');
         $this->httpCacheControl('nocache');
     }
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCartSess = new SC_CartSession_Ex();
@@ -168,5 +164,8 @@
                 else {
                     $objPurchase->completeOrder(ORDER_NEW);
-                    SC_Helper_Purchase_Ex::sendOrderMail($this->arrForm['order_id']);
+                    $template_id = SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE ? 2 : 1;
+                    $objHelperMail->sfSendOrderMail(
+                            $this->arrForm['order_id'],
+                            $template_id);
 
                     SC_Response_Ex::sendRedirect(SHOPPING_COMPLETE_URLPATH);
@@ -185,6 +184,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
